Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Equinox » File -> New -> Plug-in Project
File -> New -> Plug-in Project [message #1065742] Thu, 27 June 2013 11:05 Go to next message
Daniel McGreal is currently offline Daniel McGreal
Messages: 12
Registered: January 2013
Junior Member
Hi,

I want to write an application using Equinox to launch my OSGi bundles.

I believe the best way in Eclipse to achieve the tooling is to make a new Plug-in Project, but to choose the OSGi Framework: Equinox option?

My procedure:

  1. File -> New -> Plug-in Project,
  2. Enter a name,
  3. Target Platform: an OSGi framework: Equinox,
  4. Next,
  5. Execution Environment: JavaSE-1.7,
  6. Hello OSGi Bundle,
  7. Finish.


When I try to launch this application via "Launch the framework", I get a message box, pre-launch saying "The org.eclipse.osgi plug-in is missing from this configuration." I don't know how to add this plug-in; it doesn't appear in the "Bundles" list in the launch configuration, having converted the project to use Maven and having added org.eclipse.osgi makes no different to the launch error (though the compile errors in Activator go away).

Any help appreciated, Thanks!
Dan
Re: File -> New -> Plug-in Project [message #1065786 is a reply to message #1065742] Thu, 27 June 2013 13:28 Go to previous messageGo to next message
Daniel McGreal is currently offline Daniel McGreal
Messages: 12
Registered: January 2013
Junior Member
According to http://www.vogella.com/articles/OSGi/article.html#runbundle I should have a "Target Platform" entry with the necessary org.eclipse.osgi inside it. The header, nor the entry exists. Any ideas how I can add it?
Re: File -> New -> Plug-in Project [message #1065910 is a reply to message #1065742] Fri, 28 June 2013 08:59 Go to previous messageGo to next message
Daniel McGreal is currently offline Daniel McGreal
Messages: 12
Registered: January 2013
Junior Member
I don't know why, but no target platform was selected in Eclipse Options -> Plug-in Development -> Target Platform
Re: File -> New -> Plug-in Project [message #1298444 is a reply to message #1065742] Wed, 16 April 2014 09:07 Go to previous messageGo to next message
s b is currently offline s b
Messages: 3
Registered: April 2014
Junior Member
hi,i have problem like u,i get this msg: The org.eclipse.osgi plug-in is missing from this configuration.
how did you solve it?
Re: File -> New -> Plug-in Project [message #1299058 is a reply to message #1065910] Wed, 16 April 2014 18:02 Go to previous message
s b is currently offline s b
Messages: 3
Registered: April 2014
Junior Member
i have problem same as you,i get this error The org.eclipse.osgi plug-in is missing from this configuration.could you please help me?
Previous Topic:Starting with OSGi, container does not start up with OSX
Next Topic:Building Native Launcher
Goto Forum:
  


Current Time: Fri Oct 24 14:41:52 GMT 2014

Powered by FUDForum. Page generated in 0.03493 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software